### Signal

# Hinoko FwIsoIrMultiple::interrupted

#### Declaration

    void
    interrupted (
      HinokoFwIsoIrMultiple* self,
      guint count,
      gpointer user_data
    )

#### Description [src]

Emitted when Linux FireWire subsystem generates interrupt event. There are two cases for Linux FireWire subsystem to generate the event:

- When 1394 OHCI hardware generates hardware interrupt as a result to process the isochronous packet for the buffer chunk marked to generate hardware interrupt.
- When application calls `hinoko_fw_iso_ctx_flush_completions()` explicitly.

The handler of signal can retrieve the content of packet by call of `hinoko_fw_iso_ir_multiple_get_payload()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`count`

  Type: `guint`

  The number of packets available in this interrupt.